curl -X POST https://api.livchat.ai/v1/messages/send/location \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"latitude": 48.858370,
"longitude": 2.294481,
"name": "Eiffel Tower"
}'
const response = await fetch("https://api.livchat.ai/v1/messages/send/location", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
phone: "5511999999999",
latitude: 48.858370,
longitude: 2.294481,
name: "Eiffel Tower",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Sent",
"id": "3EB04A45DCA355D01DB68C"
}
}
Messages
Send Location
Send a location to a WhatsApp number
POST
/
v1
/
messages
/
send
/
location
curl -X POST https://api.livchat.ai/v1/messages/send/location \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"latitude": 48.858370,
"longitude": 2.294481,
"name": "Eiffel Tower"
}'
const response = await fetch("https://api.livchat.ai/v1/messages/send/location", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
phone: "5511999999999",
latitude: 48.858370,
longitude: 2.294481,
name: "Eiffel Tower",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Sent",
"id": "3EB04A45DCA355D01DB68C"
}
}
Send a geographic location with optional name.
Request Body
string
required
Recipient phone number in international format
number
required
Latitude coordinate (e.g.,
48.858370)number
required
Longitude coordinate (e.g.,
2.294481)string
Location name to display (e.g.,
Eiffel Tower)curl -X POST https://api.livchat.ai/v1/messages/send/location \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"latitude": 48.858370,
"longitude": 2.294481,
"name": "Eiffel Tower"
}'
const response = await fetch("https://api.livchat.ai/v1/messages/send/location", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
phone: "5511999999999",
latitude: 48.858370,
longitude: 2.294481,
name: "Eiffel Tower",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Sent",
"id": "3EB04A45DCA355D01DB68C"
}
}
⌘I